apiVersion: tekton.dev/v1beta1
kind: PipelineRun
metadata:
  generateName: clone-add-push-2-
  namespace: ci  
spec:
  pipelineRef:
    name: clone-add-push-2
  params:
    - name: CLEANUP_APP_NAME
      value: "cleanup"
    - name: WORKSPACE_DIRECTORY
      value: "/workspace/output/clonedir"
    - name: WORKSPACE
      value: "ste-php-workspace"
    - name: WORKSPACE_NAME
      value: "output"
    - name: GIT-CLONE_APP_NAME
      value: "git-clone"
    - name: GIT_REPO_SSH_URL
      value: "git@gitlab.com:steve.decot/k8s-web-php.git"
    - name: GIT-PUSH_APP_NAME
      value: "git-push"  
    - name: GIT_EMAIL
      value: "steve.decot@civadis.be"  
    - name: GIT_USERNAME
      value: "steve.decot"
    - name: GIT_BRANCH
      value: "dev"     
    - name: DIR_REPO
      value: "k8s-web-php"
  workspaces:
    - name: ste-php-workspace
      persistentVolumeClaim:
        claimName: pvc-tekton